using Microsoft.EntityFrameworkCore;
using PARR.DAL.Context;
using PARR.DAL.Models.Base;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.DAL.Models.Unit
{

    [Table("UnitInValues", Schema = DataContextSettings.Unit)]
    [Comment("Таблица связи ЭК с полями и со значениями")]
    [PrimaryKey(nameof(UnitId), nameof(FieldId), nameof(ValueId))]
    [Index(nameof(FieldId), nameof(ValueId))]
    [Index(nameof(UnitId), nameof(FieldId))]
    [Index(nameof(FieldId), nameof(UnitId))]
    public class UnitInValue : IBaseDateModified, IBaseDateCreated
    {
        public Guid UnitId { get; set; }

        public Guid FieldId { get; set; }

        public Guid ValueId { get; set; }

        public DateTimeOffset DateCreated { get; set; }

        public DateTimeOffset? DateModified { get; set; }


        [ForeignKey(nameof(UnitId))]
        public Unit? Unit { get; set; }

        [ForeignKey(nameof(FieldId))]
        public UnitField? Field { get; set; }

        [ForeignKey(nameof(ValueId))]
        public UnitFieldValue? Value { get; set; }
    }
}
